mount older than kernel - NFS

This is a discussion on mount older than kernel - NFS ; I have a strange problem with mount. after I mount a nfs share I get this entry in my logging. "nfs warning: mount version older than kernel" As I read on http://nfs.sourceforge.net/nfs-howto....html#SYMPTOM6 7.6c I have to upgrade util-linux (mount) and/or ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: mount older than kernel

  1. mount older than kernel

    I have a strange problem with mount.

    after I mount a nfs share I get this entry in my logging.
    "nfs warning: mount version older than kernel"

    As I read on
    http://nfs.sourceforge.net/nfs-howto....html#SYMPTOM6 7.6c
    I have to upgrade util-linux (mount) and/or am-util.
    As I was allready running the latest versions (as they are in portage)
    I re-emerged them.

    Alas to no avail.

    Here is some info
    bas@louise3 lsw $ uname -rimv
    2.6.0-gentoo #5 SMP Sat Dec 20 04:09:48 CET 2003 i686 GenuineIntel

    bas@louise3 lsw $ emerge -s util-linux am-utils nfs-utils
    Searching...
    [ Results for search key : util-linux ]
    [ Applications found : 1 ]

    * sys-apps/util-linux
    Latest version available: 2.11z-r8
    Latest version installed: 2.12-r2
    Size of downloaded files: 1,254 kB
    Homepage: http://www.kernel.org/pub/linux/utils/util-linux/
    Description: Various useful Linux utilities


    Searching...
    [ Results for search key : am-utils ]
    [ Applications found : 1 ]

    * net-fs/am-utils
    Latest version available: 6.0.9
    Latest version installed: 6.0.9
    Size of downloaded files: 1,437 kB
    Homepage: http://www.am-utils.org
    Description: amd automounter and utilities


    Searching...
    [ Results for search key : nfs-utils ]
    [ Applications found : 1 ]

    * net-fs/nfs-utils
    Latest version available: 1.0.6
    Latest version installed: 1.0.6
    Size of downloaded files: 259 kB
    Homepage: http://nfs.sourceforge.net/
    Description: NFS client and server daemons

    Part of my .config

    CONFIG_NFS_FS=y
    # CONFIG_NFS_V3 is not set
    CONFIG_NFS_V4=y
    # CONFIG_NFS_DIRECTIO is not set
    CONFIG_NFSD=y
    CONFIG_NFSD_V3=y
    CONFIG_NFSD_V4=y
    # CONFIG_NFSD_TCP is not set
    CONFIG_LOCKD=y
    CONFIG_LOCKD_V4=y
    CONFIG_EXPORTFS=y
    CONFIG_SUNRPC=y

    bas@louise3 lsw $ grep nfs /etc/fstab
    ngb:/data /data nfs noatime,rsize=8192,wsize=8192,intr 0 0


    Is there something I can do to eliminate the problem/error?
    Could it be util-linux (mount) isn't fully 2.6 "aware" ?

    Any help is greatly appreciated

  2. Re: mount older than kernel

    Bastiaan Spandaw wrote:

    > ***sys-apps/util-linux
    > Latest*version*available:*2.11z-r8
    > Latest*version*installed:*2.12-r2


    Ho-hum. Perhaps you should downgrade to the latest stable version?

    Anno.

+ Reply to Thread